Skip to main content
GET
/
v1
/
crm
/
tickets
/
{ticketId}
Get Ticket
curl --request GET \
  --url https://api.example.com/v1/crm/tickets/{ticketId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "createdAt": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "<string>",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ticketNumber": 123,
  "shortTicketNumber": "<string>",
  "assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isPrivate": false,
  "mergedTickets": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ticketNumber": 123,
      "shortTicketNumber": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

ticketId
string
required

Response

The ticket corresponding to the primary identifier.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
Maximum string length: 255
status
enum<string>
required
Available options:
new,
pending,
in_progress,
resolved,
reopened
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ticketNumber
number | null
shortTicketNumber
string | null
assignedTo
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
categoryId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
priority
enum<string> | null
Available options:
low,
medium,
high
mergedIntoTicketId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
isPrivate
boolean
default:false
mergedTickets
object[]